URL structure
{orgGroupId} is the ID of an organization and {objectId} is the ID of a file object/Secure Object created within this organization.
Supported methods and overview
PUT- disables or (re-)enables a file object/Secure Object (specified byobjectId) within an organization (specified byorgGroupId).
This method takes no parameters.
Detailed description
This API endpoint disables or (re-)enables a single file object (specified byobjectId) within an organization (specified by orgGroupId).
Calling this endpoint on a given file object successively toggles between disabling or (re-)enabling this file object.
A file object’s ID can be obtained using the <access-service>/api/v1/organisations/{orgGroupId}/objects API endpoint, which retrieves a list of high-level information associated with file objects that can be filtered using a variety of search criteria.
Supported roles and conditions
This API endpoint supports the following Covata user roles (as described in the Organization Administrator’s Guide):- Organization administrator - when this user is a member of the organization whose ID is specified by
{orgGroupId}in the request’s URL.
Required headers
The appropriate access token as theBearer token:
Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...
Returns
If the request succeeded, then an HTTP response status200 OK is returned.
